<div class="container">
  <h1 mat-dialog-title>{{ 'projectManagement.inviteToProj' | translate }}</h1>
  <div mat-dialog-content>
    <form class="user-form">
      <div>
        <mat-form-field style="padding-bottom: 20px">
          <mat-label>{{ 'projectManagement.email' | translate }}</mat-label>
          <input
            type="mail"
            matInput
            [(ngModel)]="email"
            [ngModelOptions]="{ standalone: true }"
            required
            email
            name="email"
            #mail="ngModel"
          />
          <mat-error
            *ngIf="mail.invalid && (mail.dirty || mail.touched)"
            class="errors"
          >
            <p>{{ 'error.register.mail' | translate }}</p>
          </mat-error>
        </mat-form-field>

        <mat-form-field style="padding-bottom: 20px">
          <mat-label>{{ 'projectManagement.rights' }}</mat-label>
          <mat-select [(ngModel)]="right" name="userRights">
            <mat-option value="read">read</mat-option>
            <mat-option value="write">write</mat-option>
            <mat-option value="manage">manage</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <br />
      <div>
        <mat-form-field>
          <mat-label>{{ 'projectManagement.text' | translate }}</mat-label>
          <div>
            <textarea
              cdkTextareaAutosize
              matInput
              classe="mail-text"
              value="{{ text }}"
              [(ngModel)]="text"
              [ngModelOptions]="{ standalone: true }"
              required
              name="text"
            ></textarea>
          </div>
        </mat-form-field>
      </div>
      <button
        class="submit-btn"
        mat-raised-button
        color="primary"
        type="submit"
        [disabled]="mail.invalid || text === ''"
        (click)="onSend()"
      >
        {{ 'projectManagement.send' | translate }}
      </button>
    </form>
  </div>
</div>
